import { createAsyncThunk } from "@reduxjs/toolkit";
import { referralService } from "@src/api/services";
import { REFERRAL } from "../types";

export const referralData = createAsyncThunk(REFERRAL, async () => {
  const response = await referralService.referralData();
  return {
    data: response.data,
    status: response.status,
  };
});
